import { Component, OnInit, ViewEncapsulation } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { GameService } from 'app/modules/polyglot/api/services/game.service';
@Component({
  selector: 'main',
  templateUrl: './main.component.html',
  encapsulation: ViewEncapsulation.None,
})
export class GameMainComponent implements OnInit {
  /**
   * Constructor
   */
  constructor(
    private __activatedRoute: ActivatedRoute,
    private __gameService: GameService
  ) {}

  ngOnInit(): void {
    this.__activatedRoute.queryParams.subscribe((params) => {
      console.log(params); // { orderby: "price" }
      const vendor_key = params['vendor_key'];
      const game_key = params['game_key'];
    });
  }
  /**
   * Track by function for ngFor loops
   *
   * @param index
   * @param item
   */
  trackByFn(index: number, item: any): any {
    return item.id || index;
  }
}
